export default function (self) {
  return [
  {
    title: "事件编号",
    align: "center",
    width: 150,
    key: "claimEventNo"
  },
  {
    title: "事件类型",
    align: "center",
    width: 150,
    key: "eventName"
  },
  {
    title: "事件优先级",
    align: "center",
    width: 150,
    key: "eventPriority"
  },
  {
    title: "报账单号",
    align: "center",
    width: 220,
    key: "claimNo",
    render: (h, params) => {
      return h("RowTools", {
        props: {
          data: [
            {
              text: params.row.claimNo,
              handle: () => {
                self.openTask(params.row);
              }
            }
          ]
        }
      });
    }
  },
  {
    title: "发票编号",
    align: "center",
    width: 120,
    key: "invoiceNo"
  },
  {
    title: "批名",
    align: "center",
    width: 120,
    key: "invoiceBatchNo"
  },
  {
    title: "总账期间",
    align: "center",
    width: 140,
    key: "glDate",
  },
  {
    title: "生成发票日期",
    align: "center",
    width: 140,
    key: "invoiceGenerateDate",
  },
  {
    title: "归属公司",
    align: "center",
    minWidth: 220,
    key: "ouName",
    render: (h, params) => {
      return h(
        "div",
        {
          attrs: {
            class:
              "ivu-table-cell ivu-table-cell-ellipsis",
            title: params.row.ouName
          }
        },
        params.row.ouName
      );
    }
  },
  {
    title: "业务大类",
    align: "center",
    width: 140,
    key: "categoryName"
  },
  {
    title: "摘要",
    align: "center",
    width: 140,
    key: "summary"
  },
  {
    title: "核算小组",
    align: "center",
    width: 140,
    key: "approveEndGroupName"
  },
  {
    title: "会计",
    align: "center",
    width: 140,
    key: "advanceAccountantName"
  },
  ]
}