let emsAccountingRouter = [
  {
    path: 'accounting-group',
    name: 'accounting-group',
    title: '会计分组设置',
    component: resolve => { require(['./views/ems/accountingGroup/Index.vue'], resolve); }
  },
  {
    path: 'group-work-range',
    name: 'group-work-range',
    title: '小组工作范围',
    component: resolve => { require(['./views/ems/groupWorkRange/Index.vue'], resolve); }
  },
  {
    path: 'accounting-work-calendar',
    name: 'accounting-work-calendar',
    title: '会计工作日历',
    component: resolve => { require(['./views/ems/accountingWorkCalendar/Index.vue'], resolve); }
  },
  {
    path: 'accounting-not-on-duty',
    name: 'accounting-not-on-duty',
    title: '会计不在岗设置',
    component: resolve => { require(['./views/ems/accountingNotOnDuty/Index.vue'], resolve); }
  },
  {
    path: 'accounting-on-duty',
    name: 'accounting-on-duty',
    title: '会计在岗设置',
    component: resolve => { require(['./views/ems/accountingOnDuty/Index.vue'], resolve); }
  },
  {
    path: 'task-pool-monitor',
    name: 'task-pool-monitor',
    title: '任务池监控',
    component: resolve => { require(['./views/ems/taskPoolMonitor/Index.vue'], resolve); }
  },
  {
    path: 'create-invoice-monitor',
    name: 'create-invoice-monitor',
    title: '生成发票监控',
    component: resolve => { require(['./views/ems/createInvoiceMonitor/Index.vue'], resolve); }
    
  },
  {
    path: 'query-create-invoice-monitor',
    name: 'query-create-invoice-monitor',
    title: '查询生成发票监控',
    component: resolve => { require(['./views/ems/queryCreateInvoiceMonitor/Index.vue'], resolve); }
  },
  {
    path: 'group-work-range-query-chart',
    name: 'group-work-range-query-chart',
    title: '小组人员工作范围查询报表',
    component: resolve => { require(['./views/ems/groupWorkRangeQuery/Index.vue'], resolve); }
  }, 
]

export {emsAccountingRouter};